Skip to main content

Import Statement

POST 

/v2/financial/accounts/:financial_account_uid/statement_transactions/imports

Imports a bank statement through a CNAB file. Processing is performed asynchronously and transactions are associated with the financial account.

Asynchronous Processing: This endpoint is processed asynchronously and creates an update command for the Financial Account.

Importing a statement for a Financial Account is done asynchronously, that is, when receiving the request, our API stores the request parameters and processes the import in the background. After the import is processed, the transactions will be associated with the Financial Account. You receive in the response of this request the UID of the created Import and can query it anytime.

Webhook Events

When the request is made, an import.created event is triggered. Our server then begins processing the import. After processing is complete, the import.processed event is triggered.

Request

Responses

Import created